/*
 * Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: DispatchTarget.java 64879 2012-02-10 16:11:10Z dougd $
 */
 
package com.sun.ts.tests.jsf.api.javax_faces.context.externalcontextwrapper;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import java.io.IOException;

public class DispatchTarget extends HttpServlet {
    
    public DispatchTarget() {
    }

    public void init(ServletConfig servletConfig) throws ServletException {
        super.init(servletConfig); 
    }

    protected void service(HttpServletRequest request, HttpServletResponse response) 
    throws ServletException, IOException {
        response.getWriter().write("Test PASSED");
    }
}
